package com.sample;

import org.kie.api.KieServices;
//import org.kie.api.KieBaseConfiguration;
//import org.kie.api.KieBase;
import org.kie.api.runtime.KieContainer;
import org.kie.api.runtime.KieSession;
import java.math.BigDecimal;
import java.math.BigInteger;
/**
 * This is a sample class to launch a rule.
 */
public class DroolsTest {

    public static final void main(String[] args) {
        try {
            // load up the knowledge base
//              System.setProperty("drools.jittingThreshold", "0");


	        KieServices ks = KieServices.Factory.get();
       	        KieContainer kContainer = ks.getKieClasspathContainer();
         	KieSession kSession = kContainer.newKieSession("ksession-rules");

        	int max = 30;
        	for(int i = 0; i < max; i++) {
            	Fact fact = new Fact(new BigDecimal(i), BigInteger.valueOf(i));
           	    System.out.println("### insert : "+fact);
            	    kSession.insert(fact);
                    kSession.fireAllRules();
		    Thread.sleep(1000);

        	}
        	
        } catch (Throwable t) {
            t.printStackTrace();
        }
    }

 
}
